Operating System & Version
centOS

ImperialTrader

Well-Known Member
Aug 31, 2014
184
21
68
Egypt
cPanel Access Level
Root Administrator
Hello,
When I transfer a cPanel account (website) from one server to another, I find that the PHP version of the website in the old server is not transferred, I see it uses the default PHP version of the new server.
How can I transfer the PHP version of the website as well?
 

andrew.n

Well-Known Member
Jun 9, 2020
877
329
63
EU
cPanel Access Level
Root Administrator
Usually this is the case if you don't have that PHP version installed on the server already. You can copy over the same Apache configuration by choosing Service Configurations under the Transfer Tool (be aware that this will overwrite Apache config of the destination server completely).
 
Last edited:
  • Like
Reactions: ImperialTrader

quietFinn

Well-Known Member
Feb 4, 2006
1,653
326
438
Finland
cPanel Access Level
Root Administrator
I did a test:

In the source server the System PHP version is 7.2
In the destination server the System PHP version is 7.4
I transferred an account from source to destination.
In the source server that account's PHP version was 7.2 Inherited.
After transfer that accounts PHP version was 7.4 inherited.

In the source server I changed that account's PHP version to 7.2 (NOT inherited).
I transferred the account again and that account's PHP version was 7.2 (NOT inherited)
 
  • Like
Reactions: ImperialTrader

ffeingol

Well-Known Member
PartnerNOC
Nov 9, 2001
714
280
363
cPanel Access Level
DataCenter Provider
That's exactly what inherit should do. It does not set a default version (which is in the sites .htaccess file) so if you transfer to a server with a different default version, it's going to change.
 
  • Like
Reactions: andrew.n

quietFinn

Well-Known Member
Feb 4, 2006
1,653
326
438
Finland
cPanel Access Level
Root Administrator
That's exactly what inherit should do. It does not set a default version (which is in the sites .htaccess file) so if you transfer to a server with a different default version, it's going to change.
That's right, but it may cause some confusion o_O